TGKILL(2)

NAME
tgkill - Send signal sig to one specific thread, tgid

SYNOPSIS

long sys_tgkill (int tgid, int pid, int sig);

DESCRIPTION

Same as tkill(pid,sig), but only sends the signal if the target thread has its thread group ID tgid. Returns error code ESRCH if tgid does not match, otherwise returns the tkill() result.

RETURN VALUE

tgkill returns 0 on success; otherwise, tgkill returns one of the errors listed in the "Errors" section.

ERRORS

-EINVAL
    tgkill returns this error if pid or tgid are less than zero. This call is only valid for single tasks.

-ESRCH
    This error is returned if pid exists but no longer belongs to the target process.

SEE ALSO
tkill(2), kill(2)

AUTHOR
Niki Rahimi